SYSREPOCTL(1)

NAME
sysrepoctl - sysrepo YANG schema manipulation tool

SYNOPSIS
sysrepoctl OPERATION [OPTIONS]

DESCRIPTION
sysrepoctl is a command-line tool for manipulation of YANG schemas in sysrepo. It can list the currently installed schemas and add, remove, or modify them.

OPERATION

-h, --help
    Print usage help.

-V, --version
    Print only information about sysrepo version.

-l, --list
    List YANG modules in sysrepo.

-i, --install PATH
    Install the specified schema into sysrepo. Can be in either YANG or YIN format. Can be specified multiple times to install several modules. All the options will affect the module of the last operation and can be specified for each.

-u, --uninstall MODULE
    Uninstall the specified module from sysrepo. Can be specified multiple times to uninstall several modules.

-c, --change MODULE
    Change access rights, features, or replay support of the specified module. Use special :ALL module name to change the access rights or replay support of all the modules.

-U, --update PATH
    Update the specified schema in sysrepo. Can be in either YANG or YIN format. Can be specified multiple times to update several modules.

-L, --plugin-list
    List loaded sysrepo plugins.

-P, --plugin-install PATH
    Install a datastore or notification sysrepo plugin. The plugin is simply copied to the designated plugin directory.

OPTIONS

-s, --search-dirs DIR-PATH [:DIR-PATH...]
    Directories to search for include/import modules. Directory with already-installed modules is always searched. Accepted by install, update op.

-e, --enable-feature FEATURE
    Enabled specific feature or use '*' for all the features. Can be specified multiple times. Accepted by install, change op.

-d, --disable-feature FEATURE
    Disable specific feature. Can be specified multiple times. Accepted by change op.

-r, --replay STATE
    Change replay support (storing notifications) for this module. Accepted by change op. STATE can be:
     • on/1
     • off/0

-o, --owner USER
    Set filesystem owner of a module. Accepted by change, install, update op.

-g, --group GROUP
    Set filesystem group of a module. Accepted by change, install, update op.

-p, --permissions PERMISSIONS
    Set filesystem permissions of a module (chmod format). Accepted by change, install, update op.

-D, --datastore MOD-DATASTORE
    Apply operation to a module datastore. Accepted by change op if permissions are being changed. MOD-DATASTORE can be:
     • startup
     • running
     • candidate
     • operational
     • notification
     • :ALL (default)

-m, --module-plugin MOD-DATASTORE:PLUGIN-NAME
    Set specific module datastore plugin for a module datastore. Can be specified multiple times for different module datastores. If PLUGIN-NAME is an empty string, it is set to NULL, which disables the datastore (running datastore only). Unspecified datastores use the default datastore plugins. Accepted by install op.

-I, --init-data PATH
    Initial data in a file with XML or JSON extension to be set for a module, useful when there are mandatory top-level nodes. Accepted by install op.

-f, --force
    Force the specific operation if possible. Accepted by uninstall op.

-v, --verbosity LEVEL
    Change verbosity to a level. Accepted by all op. LEVEL can be a string or a number:
     • none/0
     • error/1 (default)
     • warning/2
     • info/3
     • debug/4

SEE ALSO
https://www.sysrepo.org (sysrepo home page)

https://github.com/sysrepo/sysrepo (sysrepo Git repository)

AUTHORS
Michal Vasko <mvasko@cesnet.cz>

COPYRIGHT
Copyright © 2018-2022 CESNET, a.l.e.

Copyright © 2018-2022 Deutsche Telekom AG.